#

Name:           batti
Version:        0.3.8
Release:        %mkrel 2
Summary:        Simple battery monitor for the system tray
Summary(de):	Einfaches Batterieladeanzeige für das Systray
Group:          System/Configuration/Other
License:        GPLv2+
URL:            http://batti-gtk.googlecode.com/
Source0:        http://batti-gtk.googlecode.com/files/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
Requires:       pygtk2
Requires:       dbus-python
Requires:       python-notify
Requires:	upower



%description
Batti is a simple battery monitor for the system tray, similar to batterymon. 
Unlike the latter batti uses UPower, and if that is missing DeviceKit.Power, 
for it's power information.

Features
* one tray icon per inserted battery
* tray icons (dis-)appear with the battery (un-)plugging
* notification on low and critical battery status
* use of GTK icon-theme
* suspend/hibernate menu on left-click, if allowed by PolicyKit

#german
%description -l de
Batti ist eine einfache Batterie-Monitor für den System-Tray, ähnlich batterymon.
Batti verwendet UPower, und wenn das fehlt DeviceKit.Power,
um Informationen zum Status anzuzeigen.

Features
* Ein Tray-Icon pro eingesetzter Batterie
* Tray-Icons mit Anzeige des Batteriestatus 
* Benachrichtigung bei niedrigen und kritischen Batteriestatus
* Verwendung von GTK icon-theme
* Bereitschaft/Ruhezustand -Menü mit der linken Maustaste, 
  sofern es PolicyKit erlaubt


%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{python_sitelib}/%{name}*.egg-info
%{python_sitelib}/%{name}/
%{_datadir}/applications/batti.desktop
%{_datadir}/icons/hicolor/*/*/%{name}*


%changelog
* Fri Aug 16 2013 billybot <billybot> 0.3.8-2pclos2013
- update python 2.7

* Sun Sep 18 2011 leiche <meisssw01 at gmail.com> 0.38-1leiche2011 
- Initial package

